> For the complete documentation index, see [llms.txt](https://docs.cometh.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cometh.io/integrations.md).

# Integrations

- [React hooks](https://docs.cometh.io/integrations/react-hooks.md)
- [ConnectProvider](https://docs.cometh.io/integrations/react-hooks/connectprovider.md)
- [useAccount](https://docs.cometh.io/integrations/react-hooks/useaccount.md)
- [useConnect](https://docs.cometh.io/integrations/react-hooks/useconnect.md)
- [useDisconnect](https://docs.cometh.io/integrations/react-hooks/usedisconnect.md)
- [useGetGasPrice](https://docs.cometh.io/integrations/react-hooks/usegetgasprice.md)
- [useSendTransaction](https://docs.cometh.io/integrations/react-hooks/usesendtransaction.md)
- [useSignMessage](https://docs.cometh.io/integrations/react-hooks/usesignmessage.md)
- [useVerifyMessage](https://docs.cometh.io/integrations/react-hooks/useverifymessage.md)
- [useWriteContract](https://docs.cometh.io/integrations/react-hooks/usewritecontract.md)
- [Handle owners](https://docs.cometh.io/integrations/react-hooks/handle-owners.md)
- [useRemoveOwner](https://docs.cometh.io/integrations/react-hooks/handle-owners/useremoveowner.md)
- [useValidateAddDevice](https://docs.cometh.io/integrations/react-hooks/handle-owners/usevalidateadddevice.md)
- [useCreateNewSigner](https://docs.cometh.io/integrations/react-hooks/handle-owners/usecreatenewsigner.md)
- [useAddOwner](https://docs.cometh.io/integrations/react-hooks/handle-owners/useaddowner.md)
- [useGetOwners/EnrichedOwners](https://docs.cometh.io/integrations/react-hooks/handle-owners/usegetowners-enrichedowners.md)
- [Session Keys](https://docs.cometh.io/integrations/react-hooks/session-keys.md)
- [useGrantPermission](https://docs.cometh.io/integrations/react-hooks/session-keys/usegrantpermission.md): This hook provides functionality to asynchronously grant permissions and monitor the status of the transaction.
- [useSendPermission](https://docs.cometh.io/integrations/react-hooks/session-keys/usesendpermission.md): This hook handles the process of sending permissions and monitors the transaction’s status.
- [useSessionKeyClient](https://docs.cometh.io/integrations/react-hooks/session-keys/usesessionkeyclient.md): This hook initializes and returns a session key client using the provided API key, session data, and private key.
- [useSessionKeySigner](https://docs.cometh.io/integrations/react-hooks/session-keys/usesessionkeysigner.md): This hook returns a session key signer based on the provided session data and private key. The signer is used to interact with smart sessions and execute permissioned actions.
- [Recovery](https://docs.cometh.io/integrations/react-hooks/recovery.md)
- [useIsRecoveryActive](https://docs.cometh.io/integrations/react-hooks/recovery/useisrecoveryactive.md)
- [useSetUpRecovery](https://docs.cometh.io/integrations/react-hooks/recovery/usesetuprecovery.md)
- [useGetRecoveryRequest](https://docs.cometh.io/integrations/react-hooks/recovery/usegetrecoveryrequest.md)
- [useCancelRecoveryRequest](https://docs.cometh.io/integrations/react-hooks/recovery/usecancelrecoveryrequest.md)
- [Mobile SDKs](https://docs.cometh.io/integrations/mobile-sdks.md)
- [IOS](https://docs.cometh.io/integrations/mobile-sdks/ios.md)
- [Android](https://docs.cometh.io/integrations/mobile-sdks/android.md)
- [React Native](https://docs.cometh.io/integrations/mobile-sdks/react-native.md)
- [Wagmi](https://docs.cometh.io/integrations/wagmi.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cometh.io/integrations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
